      SUBROUTINE SHOWFILES
!   SHOW FILE PAGE    

      USE WINTERACTER

      USE RESID
      
      USE BLKRM10
      
300   call wdialogload(IDD_FILENAMES)
      ierr=infoerror(1)

      CALL WDialogSelect(IDD_FILENAMES)
      ierr=infoerror(1)
      
      CALL WDialogPutString(idf_string1,TITLEHEAD)
      
      CALL WGridPutCellString(IDF_GRID1,1, 1,'Input binary file with geometric data')
      CALL WGridPutCellString(IDF_GRID1,1, 2,'Input ASCII file with geometric data') 
      CALL WGridPutCellString(IDF_GRID1,1, 3,'Input binary file with restart data')
      CALL WGridPutCellString(IDF_GRID1,1, 4,'Input ASCII file with cross-section data')
      CALL WGridPutCellString(IDF_GRID1,1, 5,'Input ASCII file with boundary flow data')
      CALL WGridPutCellString(IDF_GRID1,1, 6,'Input ASCII file with elevation boundary data')
      CALL WGridPutCellString(IDF_GRID1,1, 7,'Input ASCII file with element  inflow data')
      CALL WGridPutCellString(IDF_GRID1,1, 8,'Input binary element inflow data')
      CALL WGridPutCellString(IDF_GRID1,1, 9,'Input ASCII file with elevation harmonic boundary data')
      CALL WGridPutCellString(IDF_GRID1,1,10,'Input ASCII file with layer data')
      CALL WGridPutCellString(IDF_GRID1,1,11,'Input ASCII file with meteorological data')
      CALL WGridPutCellString(IDF_GRID1,1,12,'Output ASCII results')
      CALL WGridPutCellString(IDF_GRID1,1,13,'Output binary file with new format results data')
      CALL WGridPutCellString(IDF_GRID1,1,14,'Output binary file with restart data')
      CALL WGridPutCellString(IDF_GRID1,1,15,'Output binary file with 3-D geometry data')
      CALL WGridPutCellString(IDF_GRID1,1,16,'Output ASCII file with continuity line flow data')
      CALL WGridPutCellString(IDF_GRID1,1,17,'Output ASCII file with summary meteorological input')
      CALL WGridPutCellString(IDF_GRID1,1,18,'Output ASCII file with cpu timing data')
      CALL WGridPutCellString(IDF_GRID1,1,19,'Input binary file with wind data')
      CALL WGridPutCellString(IDF_GRID1,1,20,'Input ASCII file with wind data')
      CALL WGridPutCellString(IDF_GRID1,1,21,'Output binary file listing extracted results for specified nodes')  
      CALL WGridPutCellString(IDF_GRID1,1,22,'Output ASCII file listing extracted results for specified nodes')  
      CALL WGridPutCellString(IDF_GRID1,1,23,'Output binary element inflow data')
      CALL WGridPutCellString(IDF_GRID1,1,24,'Input coordinates for surface stresses')
      CALL WGridPutCellString(IDF_GRID1,1,25,'Input binary weighting file for surface stresses')
      CALL WGridPutCellString(IDF_GRID1,1,26,'Input binary file for surface stresses')
      CALL WGridPutCellString(IDF_GRID1,1,27,'Output binary weighting file for surface stresses')
      CALL WGridPutCellString(IDF_GRID1,1,28,'Output ASCII weighting file for surface stresses')
      CALL WGridPutCellString(IDF_GRID1,1,29,'Input ASCII file with group number data')
      CALL WGridPutCellString(IDF_GRID1,1,30,'Input ASCII file with stage flow data for continuity lines')
      CALL WGridPutCellString(IDF_GRID1,1,31,'Input ASCII temperature stratification data file')
      CALL WGridPutCellString(IDF_GRID1,1,32,'Input ASCII file with continuation transient step data')
      CALL WGridPutCellString(IDF_GRID1,1,33,'Output ASCII file with average salinity/total flow')
      CALL WGridPutCellString(IDF_GRID1,1,34,'Output binary file with old format results data')
      CALL WGridPutCellString(IDF_GRID1,1,35,'Input binary file with velocity/depth data')
      CALL WGridPutCellString(IDF_GRID1,1,36,'Input binary file with 3-D geometry data')
      CALL WGridPutCellString(IDF_GRID1,1,37,'Output binary file with 2-D geometry data')
      CALL WGridPutCellString(IDF_GRID1,1,38,'Input SMS format geometry file')
      CALL WGridPutCellString(IDF_GRID1,1,39,'Output SMS RMA-2 format file with horizontal velocity and depth data')
      CALL WGridPutCellString(IDF_GRID1,1,40,'Output SMS RMA4 format file with salinity, temperate and sediment data')
      CALL WGridPutCellString(IDF_GRID1,1,41,'Output binary RMA-11 format file listing 1-d flows as a pseudo WQ constituent')
      CALL WGridPutCellString(IDF_GRID1,1,42,'Input ASCII file containing nodal boundary condition data')
      CALL WGridPutCellString(IDF_GRID1,1,43,'Input binary file containing nodal boundary condition data')
      CALL WGridPutCellString(IDF_GRID1,1,44,'Output ice results')
      DO K=1,44
        CALL WGridPutCellString(IDF_GRID1,2,K,fname(K))
      ENDDO

      CALL WGridPutCellString(IDF_GRID2,1,1,'Max Front')
      CALL WGridPutCellString(IDF_GRID2,1,2,'Solver Buffer Size')
      CALL WGridPutCellString(IDF_GRID2,1,3,'Max Layers')
      CALL WGridPutCellString(IDF_GRID2,1,4,'Max Cross-Sec')
      CALL WGridPutCellString(IDF_GRID2,1,5,'Max C-S Pts')
      CALL WGridPutCellString(IDF_GRID2,1,6,'Max Inflows')
      CALL WGridPutCellString(IDF_GRID2,1,7,'Max Elevation BCs')
      CALL WGridPutCellString(IDF_GRID2,1,8,'Max Element Inflows')
      
      do k=1,8
        CALL WGridPutCellInteger(IDF_GRID2,2,K,LIMITVAL(K))
      ENDDO
      
      CALL WDialogShow(-1,-1,0,Modal)

      ierr=infoerror(1)
      do
      
         IF (WInfoDialog(ExitButton) .EQ. IDF_HELP) THEN
           IHSW=0
           CALL HELP10(IHSW)
           GO TO 300
         ELSEIF (WInfoDialog(ExitButton) .EQ. IDOK) THEN

           CALL WDialogGetString(idf_string1,TITLEHEAD)
             
           DO K=1,44
             CALL WGridGetCellString(IDF_GRID1,2,K,fname(K))
           ENDDO             
      
           DO K=1,8
             CALL WGridGetCellInteger(IDF_GRID2,2,K,LIMITVAL(K))
           ENDDO
      
           RETURN
         else
           return
         endif
      enddo
      
      RETURN
      END 
    